Sha256: da55abaa4c591ab14630858c727d9f9f823577084e030c3f0f82c795a956ac9a

Contents?: true

Size: 1.28 KB

Versions: 20

Compression:

Stored size: 1.28 KB

Contents

#! /bin/sh
### BEGIN INIT INFO
# Provides:		redis-server
# Required-Start:	$syslog
# Required-Stop:	$syslog
# Should-Start:		$local_fs
# Should-Stop:		$local_fs
# Default-Start:	2 3 4 5
# Default-Stop:		0 1 6
# Short-Description:	redis-server - Persistent key-value db
# Description:		redis-server - Persistent key-value db
### END INIT INFO


PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/bin/redis-server
DAEMON_ARGS=/etc/redis.conf
NAME=redis-server
DESC=redis-server
PIDFILE=/var/run/redis.pid
LOGFILE=/var/log/redis.log


test -x $DAEMON || exit 0
test -x $DAEMONBOOTSTRAP || exit 0

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	touch $PIDFILE
	chown www-data:www-data $PIDFILE
	touch $LOGFILE
    chown www-data:www-data $LOGFILE
	if start-stop-daemon --start --quiet --umask 007 --pidfile $PIDFILE --chuid www-data:www-data --exec $DAEMON -- $DAEMON_ARGS
	then
		echo "$NAME."
	else
		echo "failed"
	fi
	;;
  stop)
	echo -n "Stopping $DESC: "
	if start-stop-daemon --stop --retry 10 --quiet --oknodo --pidfile $PIDFILE --exec $DAEMON
	then
		echo "$NAME."
	else
		echo "failed"
	fi
	rm -f $PIDFILE
	;;

  restart|force-reload)
	${0} stop
	${0} start
	;;
  *)
	echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0

Version data entries

20 entries across 20 versions & 1 rubygems

Version Path
standup-0.5.0 scripts/redis/redis-server
standup-0.4.0 scripts/redis/redis-server
standup-0.3.37 scripts/redis/redis-server
standup-0.3.36 scripts/redis/redis-server
standup-0.3.35 scripts/redis/redis-server
standup-0.3.34 scripts/redis/redis-server
standup-0.3.33 scripts/redis/redis-server
standup-0.3.32 scripts/redis/redis-server
standup-0.3.31 scripts/redis/redis-server
standup-0.3.30 scripts/redis/redis-server
standup-0.3.29 scripts/redis/redis-server
standup-0.3.28 scripts/redis/redis-server
standup-0.3.27 scripts/redis/redis-server
standup-0.3.26 scripts/redis/redis-server
standup-0.3.25 scripts/redis/redis-server
standup-0.3.24 scripts/redis/redis-server
standup-0.3.23 scripts/redis/redis-server
standup-0.3.22 scripts/redis/redis-server
standup-0.3.20 scripts/redis/redis-server
standup-0.3.19 scripts/redis/redis-server